#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.6.0.0
visibility:           public
id:                   ghcide-1.6.0.0-GX2FM7cgeZC7UGpO1psp9Y
key:                  ghcide-1.6.0.0-GX2FM7cgeZC7UGpO1psp9Y
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  1e84c97abad51a5386c5299e1b2ec72d
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env
    Development.IDE.GHC.Compat.ExactPrint
    Development.IDE.GHC.Compat.Iface Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.Dump
    Development.IDE.GHC.Error Development.IDE.GHC.ExactPrint
    Development.IDE.GHC.Orphans Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Plugin
    Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action
    Text.Fuzzy.Parallel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.6.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.6.0.0-GX2FM7cgeZC7UGpO1psp9Y
depends:
    Diff-0.4.1-DQewZc8J6zuFxtdL8SNOKp
    Glob-0.10.2-KOLQS0coC5A6YlxLhI3G2b
    aeson-2.1.1.0-8KPen6hyeogLmhemp4ZbOa
    aeson-pretty-0.8.9-HgDgW0QkNCrJG86cGxB5yu array-0.5.4.0
    async-2.2.4-GElwEr766DP3ejURF9fDgA base-4.15.1.0
    base16-bytestring-1.0.2.0-GzwPYV8T7e06vQb9a3G5Na binary-0.8.8.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-Krzwt9Uo3qoLEdElVbDu5x containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-LfZRyEiHtqlCNnKCkMFUGS
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-Dh6KRpiFvMb5CJqEGF5ytF
    dependent-sum-0.7.2.0-BatXX4kFVICLVStfqu0vzs directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO exceptions-0.10.4
    extra-1.7.12-FkrnKPPA8CL2YiYj3IGCt3 filepath-1.4.2.1
    fingertree-0.1.5.0-3J8v0ZrxagOIdXXFwPYrCM
    focus-1.0.3-FpM4HupcZORHQzx5R040Wb
    fuzzy-0.1.0.1-8ih6zn2PZz4KbICR1dOSzq ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-BkSbyFn0bjq4V788yqYrot
    ghc-exactprint-0.6.4-5Qs8J3Wl1Or299Cwfig1iu
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.6-J2i3ZJHv7lYxWrGYKXh9u
    haddock-library-1.10.0-1znuaufLb6bCmrBHxvK8hK
    hashable-1.4.1.0-AcdXFBpn7hj19WgkTwKwuf
    heapsize-0.3.0.1-Fafk0VTDuDFI88nMDSThCv
    hie-bios-0.8.1-6O6DKjgeXe8HriCq98ehre
    hie-compat-0.2.1.1-ItFnwzZwXKE51zMdASrr2A
    hiedb-0.4.1.0-IzbpA0F70b06ZAhCVXgugx
    hls-graph-1.6.0.0-3vC2TXi7Q3sHeqpyrPssZE
    hls-plugin-api-1.3.0.0-6RKMRZYap0lFFFTKcdBVil
    hslogger-1.3.1.0-4WaJPAY0vmV8dFDJL0jgUN
    implicit-hie-cradle-0.3.0.5-9ZFNbXj3ZP2ERQVi61nh2f
    lens-5.2-FIFCk99mBlr59mek6Z6LQh
    list-t-1.0.5.3-Gm00JQXHVE9GbWn2oSuxVm
    lsp-1.4.0.0-AB69ttCLMZnHPB1UqK2m1
    lsp-types-1.4.0.1-7ShjpHJkxmk27ZGEfLRsPn
    monoid-subclasses-1.2.1-1AfezCViI8gIQ8slac2aPY mtl-2.2.2
    network-uri-2.6.4.2-Bqno6giiEJ72xMDyBU05Tf
    opentelemetry-0.8.0-JbNuHsWqGpu2k5P7xRyGbl
    optparse-applicative-0.17.0.0-8lW6r0BM3spDpBWlvE7jOi
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-1eigGMPeiKS44iOuiueNMF
    prettyprinter-ansi-terminal-1.1.3-DSKzlf0R8KaCNCSrK2q4Gk
    random-1.2.1.1-AHzwveRxxoAAsQlVBjR4re
    regex-tdfa-1.3.2-LCaW91vEHleJ2CfJ5d8Eth
    retrie-1.1.0.0-AVcpl0iYa543CSB3oMsGem
    rope-utf16-splay-0.3.2.0-EhPvn6PS43vDTBqenqxTBl
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-EyavGiWA7RNA5f8ptEe0oX
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-Cgg4oZwx7aiLOLF3e6zKQF stm-2.5.0.0
    stm-containers-1.2-CB4gomJv6SNAFfaAfbRUgS
    syb-0.7.2.2-KYctT8xvO452aGvebEW3ui text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.23.0-C5tMhXAOaovK4qywlP7BQ5
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-AupS6pw9cGS61feF3nE08
    utf8-string-1.0.2-5jfGmdF6tr2LafWWNuWYmN
    vector-0.13.0.0-FO1psvzIWe996069p2V3EL
    vector-algorithms-0.9.0.1-23xJ6AsdEUlKY3eB2cuY7p

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

